# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSSRuleList Class Reference

The `CSSRuleList` interface provides the abstraction of an ordered collection of CSS rules. More...

`#include <css_rule.h>`

List of all members.

## Public Member Functions

| CSSRuleList (const CSSRuleList &other)
| CSSRuleList (CSSRuleListImpl *i)
| CSSRuleList (StyleListImpl *i)
CSSRuleList & | operator= (const CSSRuleList &other)
unsigned long | length () const
| The number of `CSSRule` s in the list.
CSSRule | item (unsigned long index)
| Used to retrieve a CSS rule by ordinal index.
CSSRuleListImpl * | handle () const
bool | isNull () const

## Protected Attributes

CSSRuleListImpl * | impl

## Detailed Description

The `CSSRuleList` interface provides the abstraction of an ordered collection of CSS rules.

Definition at line 484 of file css_rule.h.

## Member Function Documentation

unsigned long CSSRuleList::length | ( |  | ) | const

| The number of `CSSRule` s in the list. The range of valid child rule indices is `0` to `length-1` inclusive. Definition at line 522 of file css_rule.cpp.

CSSRule CSSRuleList::item | ( | unsigned long | index | ) |

Used to retrieve a CSS rule by ordinal index.

The order in this collection represents the order of the rules in the CSS style sheet.

Parameters:

  index | Index into the collection

Returns:
  The style rule at the `index` position in the `CSSRuleList` , or `null` if that is not a valid index.

Definition at line 529 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:42 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001